-- song cave collectible

dofile("scripts/include/collectibletemplate.lua")

function init(me)
	commonInit(me, "Collectibles/anemone-seed", FLAG_COLLECTIBLE_ANEMONESEED)
end

function update(me, dt)
	commonUpdate(me, dt)
end

function enterState(me, state)
	commonEnterState(me, state)
	if entity_isState(me, STATE_COLLECTEDINHOUSE) then
		ent = createEntity("Anemone", "", entity_x(me)+150, entity_y(me)+70)
		ent = createEntity("Anemone", "", entity_x(me)+230, entity_y(me)+100)
		ent = createEntity("Anemone", "", entity_x(me)+60, entity_y(me)+120)
	end	
end

function exitState(me, state)
	commonExitState(me, state)
end
